Bug 125638 - config_local.php is not listed as a config file
config_local.php is not listed as a config file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squirrelmail (Show other bugs)
2
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks: FC2Update
  Show dependency treegraph
 
Reported: 2004-06-09 11:56 EDT by john.l.villalovos
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 06:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john.l.villalovos 2004-06-09 11:56:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040514

Description of problem:
Doing a:

[root@webhost root]# rpm -qc squirrelmail
/etc/httpd/conf.d/squirrelmail.conf
/etc/squirrelmail/config.php

But config_local.php is not listed as a config file.

I think there should be a:

/etc/config_local.php

and
/usr/share/squirrelmail/config/config_local.php should be a symlink to
../../../../etc/squirrelmail/config_local.php



Version-Release number of selected component (if applicable):
squirrelmail-1.4.3-1

How reproducible:
Always
Comment 1 Warren Togami 2004-06-09 22:05:27 EDT
Good catch, this would make us more compatible with the upstream RPM.
Comment 2 Warren Togami 2004-09-01 01:04:59 EDT
This has annoyed me enough to finally do something about it.  Below is
a difference in files installed between RH and upstream's RPM.  Due to
this difference, upgrades to/from upstream's RPM is problematic if the
server administrator modifies config_local.php.

--- sq-rh.txt   2004-08-31 19:02:38.874557807 -1000
+++ sq-up.txt   2004-08-31 19:02:45.236900756 -1000
@@ -2,89 +2,91 @@
 /etc/httpd/conf.d/squirrelmail.conf
 /etc/squirrelmail
 /etc/squirrelmail/config.php
+/etc/squirrelmail/config_local.php
+/etc/squirrelmail/default_pref
 /usr/share/squirrelmail
 /usr/share/squirrelmail/class
 /usr/share/squirrelmail/class/deliver


I am investigating how to best modify RH's squirrelmail package to
allow a smooth upgrade away from earlier RH squirrelmail, and also
to/from upstream's RPM.
Comment 5 Warren Togami 2004-09-01 06:32:59 EDT
Should be fixed in rawhide, although further testing will be needed to
make sure we can do clean upgrades from older RH squirrelmail.
Comment 7 Josh Bressers 2004-12-23 15:23:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-654.html

Note You need to log in before you can comment on or make changes to this bug.